"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NodeTooltips = NodeTooltips;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var React = _interopRequireWildcard(require("react"));

var getTooltipStyle = function getTooltipStyle(node) {
  var offsetTop = 30;
  var offsetLeft = 0;
  return {
    left: node.screenX + offsetLeft,
    top: node.screenY + offsetTop,
    zIndex: 10
  };
};

var styles = {
  root: {
    maxWidth: 250,
    overflow: 'hidden',
    position: 'absolute',
    fontSize: 12,
    backgroundColor: 'rgb(200,207,214, 0.7)',
    padding: 6,
    borderRadius: 3,
    textTransform: 'capitalize',
    // Disable pointer events on tooltip node
    pointerEvents: 'none'
  }
};

function NodeTooltips(props) {
  var _props$node$displayNa;

  if (!props.node) {
    return null;
  }

  return /*#__PURE__*/React.createElement("div", {
    style: (0, _extends2["default"])((0, _extends2["default"])({}, styles.root), getTooltipStyle(props.node))
  }, (_props$node$displayNa = props.node.displayName) !== null && _props$node$displayNa !== void 0 ? _props$node$displayNa : props.node.id);
}