import _extends from "@babel/runtime/helpers/esm/extends";
import * as React from 'react';

const getTooltipStyle = node => {
  const offsetTop = 30;
  const offsetLeft = 0;
  return {
    left: node.screenX + offsetLeft,
    top: node.screenY + offsetTop,
    zIndex: 10
  };
};

const styles = {
  root: {
    maxWidth: 250,
    overflow: 'hidden',
    position: 'absolute',
    fontSize: 12,
    backgroundColor: 'rgb(200,207,214, 0.7)',
    padding: 6,
    borderRadius: 3,
    textTransform: 'capitalize',
    // Disable pointer events on tooltip node
    pointerEvents: 'none'
  }
};
export function NodeTooltips(props) {
  if (!props.node) {
    return null;
  }

  return /*#__PURE__*/React.createElement("div", {
    style: _extends(_extends({}, styles.root), getTooltipStyle(props.node))
  }, props.node.displayName ?? props.node.id);
}