"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resetNodeScale = exports.magnifyNode = exports.unlockNode = exports.lockNode = exports.toggleNodeLock = exports.HOVERED_NODE_SCALE = exports.LOCKED_NODE_STROKE_OPACITY = exports.LOCKED_NODE_STROKE_WIDTH = void 0;

var _Nodes = require("@graph-viz/core/lib/Nodes");

var LOCKED_NODE_STROKE_WIDTH = 0.3;
exports.LOCKED_NODE_STROKE_WIDTH = LOCKED_NODE_STROKE_WIDTH;
var LOCKED_NODE_STROKE_OPACITY = 0.4;
exports.LOCKED_NODE_STROKE_OPACITY = LOCKED_NODE_STROKE_OPACITY;
var HOVERED_NODE_SCALE = 1.5;
exports.HOVERED_NODE_SCALE = HOVERED_NODE_SCALE;

var toggleNodeLock = function toggleNodeLock(node, newPos) {
  if (node.fx) {
    unlockNode(node);
  } else {
    lockNode(node, newPos);
  }
};

exports.toggleNodeLock = toggleNodeLock;

var lockNode = function lockNode(node, newPos) {
  if (newPos) {
    node.fx = newPos.x;
    node.fy = newPos.y;
  } else {
    node.fx = node.x;
    node.fy = node.y;
  }

  node.strokeWidth = LOCKED_NODE_STROKE_WIDTH;
  node.strokeOpacity = LOCKED_NODE_STROKE_OPACITY;
};

exports.lockNode = lockNode;

var unlockNode = function unlockNode(node) {
  node.fx = null;
  node.fy = null;
  node.strokeWidth = _Nodes.NODE_DEFAULTS.strokeWidth;
  node.strokeOpacity = _Nodes.NODE_DEFAULTS.strokeOpacity;
};

exports.unlockNode = unlockNode;

var magnifyNode = function magnifyNode(node) {
  node.scale = HOVERED_NODE_SCALE;
};

exports.magnifyNode = magnifyNode;

var resetNodeScale = function resetNodeScale(node) {
  node.scale = _Nodes.NODE_DEFAULTS.scale;
};

exports.resetNodeScale = resetNodeScale;